Bug 999267 - Review Requests: Fedora Design Suite
Review Requests: Fedora Design Suite
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
:
Depends On: 958136
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 00:43 EDT by a.galley
Modified: 2014-09-11 22:58 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-11 10:21:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
'Electronic5-LCAD.zip' contains a part library for LibreCAD. (388.01 KB, application/zip)
2014-08-09 23:43 EDT, a.galley
no flags Details
'Architect3-LCAD.zip' contains a part library for LibreCAD. (75.75 KB, application/zip)
2014-08-09 23:50 EDT, a.galley
no flags Details
'Electronic8-LCAD.zip' contains a part library for LibreCAD. (404.99 KB, application/octet-stream)
2014-09-08 22:18 EDT, a.galley
no flags Details
'Architect8-LCAD.zip' contains a part library for LibreCAD. (76.94 KB, application/octet-stream)
2014-09-08 22:24 EDT, a.galley
a.galley: review?
Details

  None (edit)
Description a.galley 2013-08-21 00:43:54 EDT
The Fedora Design Suite
(Fedora-Live-Design-suite-x86_64-19-1.iso)
is going to be essential for the work we have
to do, freeing us from years of dependence on
proprietary software, yet I was unable
to 'yum install' any CAD applications such as:

LIBRECAD (the community version of QCAD 2D);

FREECAD (parametric modeling similar to SolidWorks);

Also, 'yum install archimedes' gave me
"simulator for submicron semiconductor devices"
instead of
"An architecture open CAD"
which has the same name.

It would be handy to have openbox and XFCE desktop
included in the suite, both of which seem to work
well without using much resources.

=================
Comment 1 Christopher Meng 2014-01-23 03:36:41 EST
(In reply to a.galley from comment #0)

Hi, you should be able to install librecad now.
Comment 2 Luya Tshimbalanga 2014-02-24 15:09:23 EST
(In reply to a.galley from comment #0)
> 
> It would be handy to have openbox and XFCE desktop
> included in the suite, both of which seem to work
> well without using much resources.
> 
> =================

sorry for missing the message. It is delightful to hear Design Suite will be used for your work. openbox can be installed via yum/dnf considering its small footprint. Have you tried using Classic Mode?
Comment 3 Christopher Meng 2014-02-25 00:04:44 EST
For that archimedes problem:

1. These 2 are not the same, one is started in 2005 from GNU

http://www.gnu.org/software/archimedes/

The other is started at Github

http://archimedescad.github.io/Archimedes/

And, it's not packaged into Fedora yet, if we are going to package it(I can), we will name it archimedescad.
Comment 5 a.galley 2014-06-28 03:04:14 EDT
(In reply to Christopher Meng from comment #1)
> (In reply to a.galley from comment #0)
> 
> Hi, you should be able to install librecad now.

Having been trained to use AutoCAD and Inventor (Autodesk),
we are now testing several 'OpenCAD' systems for comparison.
Thank you for your patience.

And thank you for including Librecad. It seems to work well,
and it's great to have it working in '64-bit'. We should
be able to help the Librecad team with their part library,
which needs some more parts.

A friend is currently using the proprietary version (Qcad) to
produce professional drawings to submit to the Patent Office.
He finds the 'drag n drop' method of editing much easier to
use than the 'keyboard entry' method used on AutoCAD, most of
which is difficult to remember unless one is a regular user.
The isometric functions (3D view projected in 2D drawing) may
not be as advanced as those in AutoCAD, but such views
are not essential for standard drawings.

Librecad now has most of the functions of Qcad,
and only the proprietary extensions are missing,
for example CAM (Computer Aided Manufacturing software),
AutoCAD compatibility (DWG files) and the extended part library.

The subsequent conversation about Archimedes(cad) will be dealt
with when we have had more time testing Archimedes; until then,
please help! What is 'needinfo'? What further information do
you require?

=================
Comment 6 a.galley 2014-08-09 23:43:32 EDT
Created attachment 925464 [details]
'Electronic5-LCAD.zip' contains a part library for LibreCAD.

'Electronic5-LCAD.zip' contains a part library of DXF files for LibreCAD. These files have been re-worked with LibreCAD to ensure compatibility. It should be possible to package these within 'librecad-parts' as 'electronics', relative to 'misc' and 'templates'.
Comment 7 a.galley 2014-08-09 23:50:10 EDT
Created attachment 925465 [details]
'Architect3-LCAD.zip' contains a part library for LibreCAD.

'Architect3-LCAD.zip' contains a part library of DXF files for LibreCAD. These files have been re-worked with LibreCAD to ensure compatibility. It should be possible to package these within 'librecad-parts' as 'architecture', relative to 'misc' and 'templates'.
Comment 8 a.galley 2014-08-10 00:08:47 EDT
(In reply to Christopher Meng from comment #1)
> (In reply to a.galley from comment #0)
> 
> Hi, you should be able to install librecad now.

We have donated some of our part libraries (re-worked
with your LibreCAD to ensure compatibility) to the
LibreCAD WIKI, currently on this link:

http://wiki.librecad.org/index.php/Symbols

Else, you may prefer to package them yourself in
'librecad-parts', so I have attached them here
on bugzilla (one being a later version 5 in which
some errors have been corrected). Perhaps you could
let me know if all goes well with:

Electronic5-LCAD.zip
Architect3-LCAD.zip

As the GPL states, parts are supplied without any
Warranty but with some hope that they may be useful.

We will continue testing other 'OpenCAD' systems,
for example FreeCAD, BRL-CAD, ArchimedesCAD, and will
let you know how it goes.

###################
Comment 9 Christopher Meng 2014-08-10 21:05:22 EDT
Hi,

Thanks for your contribution. I think you should file a bug against librecad to ask the maintainer that if they can be included in the package, I'm not familiar with these CAD files.

Use this link to report: https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=librecad
Comment 10 a.galley 2014-08-12 21:11:38 EDT
(In reply to Christopher Meng from comment #9)
> Hi,
> 
> Thanks for your contribution. I think you should file a bug against librecad
> to ask the maintainer that if they can be included in the package, I'm not
> familiar with these CAD files.
> 
> Use this link to report:
> https://bugzilla.redhat.com/enter_bug.
> cgi?product=Fedora&version=rawhide&component=librecad

Thanks, done at bug '1129501'.

####################
Comment 11 Richard Shaw 2014-08-14 21:30:24 EDT
As a side note, since OpenCASCADE went to a compatible license, FreeCAD is now in Fedora as well, though it's been available in RPM Fusion for a while now.
Comment 12 a.galley 2014-09-08 22:18:20 EDT
Created attachment 935520 [details]
'Electronic8-LCAD.zip' contains a part library for LibreCAD.

'Electronic8-LCAD.zip' contains a part library of DXF files for LibreCAD, and is an update of 'Electronic5-LCAD.zip'. A few errors have been corrected and README.TXT file added.
Comment 13 a.galley 2014-09-08 22:24:18 EDT
Created attachment 935521 [details]
'Architect8-LCAD.zip' contains a part library for LibreCAD.

'Architect8-LCAD.zip' contains a part library of DXF files for LibreCAD, and is an update of 'Architect3-LCAD.zip'. A few errors have been corrected and README.TXT file added.
Comment 14 a.galley 2014-09-11 22:05:30 EDT
(In reply to Christopher Meng from comment #9)
> Hi,
> 
> Thanks for your contribution. I think you should file a bug against librecad
> to ask the maintainer that if they can be included in the package, I'm not
> familiar with these CAD files.
> 
> Use this link to report:
> https://bugzilla.redhat.com/enter_bug.
> cgi?product=Fedora&version=rawhide&component=librecad

That's done (CLOSED), just some testing to do now. Comment 11 notes
that FreeCAD has been included as well as LibreCAD, so you already
have "two of the best", 2D and 3D.

Archimedes(cad) does not use standard DXF files and is therefore not
very useful (no compatibility with QCAD, AutoCAD, Part Libraries etc),
though it is simple enough for beginners. It is simple to install,
just "unzip and go" with Java JRE the only 'dep'. No need to include.

BRL-CAD must have been great in the 70's but is now starting to look
a bit "dated", with a rather clunky interface that's difficult to
handle. No need to include.

So that's it, thanks for your help.
Comment 15 a.galley 2014-09-11 22:18:04 EDT
(In reply to Luya Tshimbalanga from comment #2)
> (In reply to a.galley from comment #0)
> > 
> > It would be handy to have openbox and XFCE desktop
> > included in the suite, both of which seem to work
> > well without using much resources.
> > 
> > =================
> 
> sorry for missing the message. It is delightful to hear Design Suite will be
> used for your work. openbox can be installed via yum/dnf considering its
> small footprint. Have you tried using Classic Mode?

Yes, Design Suite has been useful (note the use of 'OpenCart' in "SHOP"):
http://www.intastejewellery.com

And will continue to be useful:
http://wiki.librecad.org/index.php/Part_Libraries

True, openbox is easy to install, but if you have the time, perhaps
you can briefly explain, what is 'Classic Mode'?

Thanks again for all you helpers.
Comment 16 a.galley 2014-09-11 22:58:47 EDT
(In reply to Richard Shaw from comment #11)
> As a side note, since OpenCASCADE went to a compatible license, FreeCAD is
> now in Fedora as well, though it's been available in RPM Fusion for a while
> now.

Thanks for this, FreeCAD is available in EPEL, which is the best option
for us.

Note You need to log in before you can comment on or make changes to this bug.